AntiBow 1.3.0

Deny the use of bows in any specified regions.

  1. joshyyf
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    Source Code:
    https://github.com/ElmHoe/AntiBow
    [​IMG]
    This allows you to block bow usage in specific regions. Relies on World Guard & World Edit.
    Features Customizable Messages.
    Ability to change the denied message.
    In-Game adding and removing of regions.


    [​IMG]
    Permission:
    AntiBow.add (This is to add new regions)
    AntiBow.bypass (To bypass the check but DefaultMessages.OPsToBypass must be true.)
    or OP

    [​IMG]
    • WorldGuard
    • WorldEdit

    Planned updates:
    - Multiple Region Support. DONE
    - Customizable Messages DONE
    - In-Game region adding and removing. DONE

    - Different items. Maybe?

    [​IMG]
    Any issues,
    -GitHub for the fastest support. Open an 'issue' or 'improvement' and i'll get it done.
    - Email: [email protected]

Recent Reviews

  1. Jakeer
    Jakeer
    5/5,
    Version: 1.3.0
    Hi! So i really need this plugin, but i have a 1.16.4 server. Could you update it for that or could you tell me hoe? Thanks!
  2. AhmedSaints
    AhmedSaints
    5/5,
    Version: 1.3.0
    good plugin but maybe expand it by adding other items such as fixing rods?...............
  3. IMattUltra1
    IMattUltra1
    5/5,
    Version: 1.3.0
    Thank you for this plugin it is very useful and simple to set up. This should be added into WorldGuard !
  4. GabeBatarseh
    GabeBatarseh
    4/5,
    Version: 1.3.0
    imna put a 4 star cuz its prolly a good plugin but can u make it work for 1.13.2 plz i just get internal errors
  5. GFrancoH36
    GFrancoH36
    5/5,
    Version: 1.3.0
    Excellent! Could you add an option to block snowballs and eggs too? It would be great!. Thank you.
  6. comonier
    comonier
    5/5,
    Version: 1.3.0
    Now it works perfect, thank you, tested in 1.12.2 and 1.8.8 you can remove that msg at the top of the page:

    Visit my Github for download links to 1.8.8 AntiBow.
  7. comonier
    comonier
    1/5,
    Version: 1.2.9
    1. joshyyf
      Author's Response
      Can you please ensure you've downloaded the latest build from here. I did accidentally upload the wrong build that was broken due to a missing class but did replace it pretty fast, I've tried the latest build on here against spigot 1.12.2 and it runs fine.
  8. comonier
    comonier
    5/5,
    Version: 1.2.7
    I am a server owner for 5 years, I always see everyone asking for a plugin that does this, but you were the first one to get it, congratulations tested and works perfectly on 1.12.2 I was just sad that I can not update config.yml until I opened a ticket in github, after a look.
  9. Simon942
    Simon942
    5/5,
    Version: 1.2.6
    Thanks for the Arrow fix, my good friend :D. I love u <3.
    I am not gay but i love u as a good dev and as friend :)
    1. joshyyf
      Author's Response
      You're always welcome.

      Thank you for the bug reports and helping me work on this further, your help was invaluable to helping me get antibow to this stable state.
      I'm incredibly grateful. :)
  10. Simon942
    Simon942
    5/5,
    Version: 1.0
    I really love it, works really great on 1.8 servers too! <3 <3 <3
    That fixed my issue on my server, thanks a lot <3